fn do_something(_notebook: Vec<&str>) { // _notebook prend l'ownership
    // Do something with the library
} // _notebook est détruit et ses données aussi

fn main() {
    let mut notebook = Vec::new(); // par défaut notebook est immutable

    notebook.push("Il fait beau.");
    notebook.push("Les oiseaux chantent.");

    do_something(notebook); // ownership transféré à do_something
    // do_something(notebook); // redo something
}